Batch delete rollup and summary data

Base URL
https://{kibana_url}
  • POST /api/observability/slos/_bulk_purge_rollup
  • POST /s/{space_id}/api/observability/slos/_bulk_purge_rollup
Auth

The deletion occurs for the specified list of sloId. You must have all privileges for the SLOs feature in the Observability section of the Kibana feature privileges.

Required authorization

Privileges slo_write

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

force boolean
list string[] required

An array of slo ids

purgePolicy union oneOf required

Policy that dictates which SLI documents to purge based on age

One of: (determined by purgeType)
purgeType: fixed_age
purgeType enum required

Specifies whether documents will be purged based on a specific age or on a timestamp

Values: fixed_age
age string · max length: 16 required

The duration to determine which documents to purge, formatted as {duration}{unit}. This value should be greater than or equal to the time window of every SLO provided.

Responses

Successful request

application/json
taskId string

The task id of the purge operation

Bad request

application/json
error string required
message string required
statusCode number required

Unauthorized response

application/json
error string required
message string required
statusCode number required

Forbidden response

application/json
error string required
message string required
statusCode number required
Base URL
https://{kibana_url}